package cn.fastfun.service.entity;


import com.bridge.entity.IdEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;


@Entity
@Table(name = "sys_role_component")
@Setter
@Getter
public class SysRoleComponent extends IdEntity{

	private static final long serialVersionUID = 1L;
	

	
	   
	   @ApiModelProperty(value="角色编码", name="roleCode", required=true)
	   @Column(name = "role_code")
	   private String roleCode;

	
	   
	   @ApiModelProperty(value="组件", name="componentId", required=true)
	   @Column(name = "component_id")
	   private String componentId;

	
}
