package cn.fastfun.controller.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Setter
@Getter
public class TransferFormParam {

    @ApiModelProperty(value = "批次号", name = "batchNum")
    private List<Integer> batchNum;
    
    @ApiModelProperty(value = "设备编号", name = "sn")
    private List<String> sn;

    @ApiModelProperty(value = "调拨设备类型", name = "deviceType", required = true)
    private Integer deviceType;


    @ApiModelProperty(value = "用途", name = "used", required = true)
    private String used;


    @ApiModelProperty(value = "描述", name = "describe", required = true)
    private String describe;


    @ApiModelProperty(value = "划拨动作", name = "event", required = true)
    private Integer event;

    @ApiModelProperty(value = "客户ID", name = "outCustomId", required = true)
    private String customId;
}


